Skip to main content
POST
Create or Update Contact

Headers

Accept
string

e.g. application/json

x-api-key
string

e.g. [Required] Partner specific API key provided by Birdeye for data exchange.

Query Parameters

businessId
string
required

Id of the business.

Body

application/json
id
string

Id of enterprise customer.

firstName
string

First name of the customer.

lastName
string

Last name of the customer.

email
string

Email of customer, optional (if phone is provided).

phone
string

Phone of customer optional (if email is provided).

countryCode
string

Country code of the phone number. Default value=US, Other Possible values=AU,CA,MX,PR,VI

smsOptin
boolean

SMS Opt flag.

emailOptin
boolean

Email Opt flag.

blocked
boolean

Contact block flag.

businessIds
any[]

Business Ids under enterprise account. The Business Ids field is mandatory while creating a new contact. While updating, if no business Ids are provided, the same location mappings are retained.

tags
string

List of tags.

customFields
any[]

List of Custom fields. We currently support 4 types of customfields - text, number, currency, date (in formats - “MM/dd/yyyy” and "MM-dd-yyyy" only), and yes or no (1:"yes", 0:"no").

externalId
string

Unique external identifier of the contact which could be from the CRM or any external system storing your contacts.

Response

OK

id
number

Id of enterprise customer.